summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Nishant Limbachia <nishant@mnspace.net>2010-12-14 06:59:38 -0600
committer Erik Hanson <erik@slackbuilds.org>2010-12-17 07:56:24 -0600
commit80b97864b8b44774438b94756d8f067945753c01 (patch)
treedb829cddbd3746d6c5140094efb83fe3c00e1039 /desktop
parent258a514be6f5cf88e7dba1de39896742a2865625 (diff)
downloadslackbuilds-80b97864b8b44774438b94756d8f067945753c01.tar.gz
slackbuilds-80b97864b8b44774438b94756d8f067945753c01.tar.xz
desktop/cryptkeeper: Added (system tray applet for encfs)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/cryptkeeper/README5
-rw-r--r--desktop/cryptkeeper/cryptkeeper.SlackBuild101
-rw-r--r--desktop/cryptkeeper/cryptkeeper.info10
-rw-r--r--desktop/cryptkeeper/doinst.sh13
-rw-r--r--desktop/cryptkeeper/slack-desc19
5 files changed, 148 insertions, 0 deletions
diff --git a/desktop/cryptkeeper/README b/desktop/cryptkeeper/README
new file mode 100644
index 0000000000..2fe8bcfb3d
--- /dev/null
+++ b/desktop/cryptkeeper/README
@@ -0,0 +1,5 @@
+Cryptkeeper is a Linux system tray applet that manages EncFS encrypted folders.
+
+Requires:
+1. EncFS
+2. GConf
diff --git a/desktop/cryptkeeper/cryptkeeper.SlackBuild b/desktop/cryptkeeper/cryptkeeper.SlackBuild
new file mode 100644
index 0000000000..0397d5da8f
--- /dev/null
+++ b/desktop/cryptkeeper/cryptkeeper.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware Package Build Script for cryptkeeper
+# Home Page http://tom.noflag.org.uk/cryptkeeper.html
+
+# Copyright (c) 2010-2011, Nishant Limbachia, Hoffman Estates, IL, USA
+# <nishant _AT_ mnspace _DOT_ net>
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted pr1ovided that the following conditions are met:
+
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="cryptkeeper"
+VERSION=${VERSION:-0.9.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -fr $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+cd $TMP/$PRGNAM-$VERSION
+
+chown -R root.root .
+find . \
+\( -perm 664 -o -perm 666 -o -perm 600 -o -perm 440 -o -perm 444 -o -perm 400 \) \
+-exec chmod 644 {} \;
+find . \
+\( -perm 777 -o -perm 755 -o -perm 711 -o -perm 700 -o -perm 555 -o -perm 511 -o -perm 500 \) \
+-exec chmod 755 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure --prefix=/usr \
+--exec-prefix=/usr \
+--libdir=/usr/lib${LIBDIRSUFFIX} \
+--sysconfdir=/etc \
+--localstatedir=/var \
+--mandir=/usr/man \
+--infodir=/usr/info \
+--build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+# copying essential doc files
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS COPYING TODO $PKG/usr/doc/$PRGNAM-$VERSION
+
+# putting slack-desc and doinst.sh in place
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# building package
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/cryptkeeper/cryptkeeper.info b/desktop/cryptkeeper/cryptkeeper.info
new file mode 100644
index 0000000000..741ced7e67
--- /dev/null
+++ b/desktop/cryptkeeper/cryptkeeper.info
@@ -0,0 +1,10 @@
+PRGNAM="cryptkeeper"
+VERSION="0.9.5"
+HOMEPAGE="http://tom.noflag.org.uk/cryptkeeper.html"
+DOWNLOAD="http://tom.noflag.org.uk/cryptkeeper/cryptkeeper-0.9.5.tar.gz"
+MD5SUM="d02918b2058854177d2f59b837c2743f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Nishant Limbachia"
+EMAIL="nishant@mnspace.net"
+APPROVED="Erik Hanson"
diff --git a/desktop/cryptkeeper/doinst.sh b/desktop/cryptkeeper/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/desktop/cryptkeeper/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/cryptkeeper/slack-desc b/desktop/cryptkeeper/slack-desc
new file mode 100644
index 0000000000..838cf2138b
--- /dev/null
+++ b/desktop/cryptkeeper/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to behttp://tom.noflag.org.uk/cryptkeeper.html correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+cryptkeeper: cryptkeeper (system tray applet for encfs)
+cryptkeeper:
+cryptkeeper: Cryptkeeper is a Linux system tray applet that manages EncFS
+cryptkeeper: encrypted folders.
+cryptkeeper:
+cryptkeeper:
+cryptkeeper:
+cryptkeeper:
+cryptkeeper: Home Page: http://tom.noflag.org.uk/cryptkeeper.html
+cryptkeeper: Packaged by: Nishant Limbachia <nishant@mnspace.net>
+cryptkeeper: